Chinaunix首页 | 论坛 | 博客
  • 博客访问: 170063
  • 博文数量: 28
  • 博客积分: 536
  • 博客等级: 中士
  • 技术积分: 285
  • 用 户 组: 普通用户
  • 注册时间: 2011-11-10 21:00
文章分类

全部博文(28)

文章存档

2013年(2)

2012年(22)

2011年(4)

分类: 系统运维

2011-12-14 23:33:36

summary:
问题描述:打开设备zic时出现jre没有安装。
解决方法:

查看java版本:

swlist | more

发现有安装1.4和1.5的jre和jdk

进入/opt目录查看有java1.3 1.4 1.5 和6.

安装的应用软件调用自带的java软件。

进入/opt/java6/bin查看./java -version。

显示为1.6.0.0.09

打开firefox,在地址栏输入about:plugins查看安装的插件。

如果没有java插件就会出现这个问题。

按照下面的英文步骤,进行解决,还咩有尝试。。。


在一个有java问题的服务器上貌似调用的是java1.3中的文件,还不是特并清楚。

另外,在一个服务器上/.profile文件中并没有

export PATH=/opt/java1.5/jre/IA64N:$PATH声明。

这个也还不太清楚。

solution:


Java Runtime Ennvironment Download Instructions

  1. Go to the page (Available downloads section) and select the "SDK & RTE" or "JDK & JRE" version (either 1.4.x, 5.0.x, or 6.0.x) that is appropriate for your system.   Note that there are downloads available for both HP-9000 PA-RISC and HP Integrity (Itanium) systems.
  2. Select the appropriate RTE, complete the software license agreement, and follow the instructions to download and install the software.

Java Runtime Plug-in Download Instructions

Note: Mozilla 1.7.3 works with only SDK 1.4.0 and later.   It is not supported on 1.3.x.

Both the RTE and the JPI are needed.   Follow these steps to obtain them:

  1. Go to the Runtime Plug-in 1.4.2.x for Netscape/Mozilla Downloads and Documentation page and select the appropriate runtime plug-in version.   Note that this page also has links to downloads for versions 5.0.x and 6.0.x.   Note that beginning with version 5.0, the Plug-in is included in the RTE download.   For version 1.4.x, the Plug-in is a separate download.
  2. Select the appropriate Plug-in, complete the software license agreement, and follow the instructions to download and install the software.

Follow the installation instructions to install these products.   The products will install in the /opt/java1.x directory tree, where x is 4 or 5 depending on which version you are using.

Depending on the version of Java you are using you may need to create the links necessary to allow Mozilla to locate the runtime plug-in shared library.   For information on this, please see .

After installing Mozilla and the Java RTE and runtime plug-in, you may need to configure some user preferences in each user's Mozilla environment.   Java should be enabled by default.   If it is not, the steps are:

  1. Run Mozilla with '/opt/mozilla/mozilla' or equivalent.
  2. Select "Edit-> Preferences-> Advanced" from the Mozilla toolbar.
  3. Check the box "Enable Java". (This is the default.)
  4. Click "OK".

The JPI comes with a ControlPanel which can be accessed from the Mozilla browser with
"File-> Open Page" then entering (for example) "/opt/java1.3/jre/ControlPanel.html" in the file selection window, and clicking "Open in Navigator".   This will display a page with a number of Java options.

It is not necessary for most users to do anything with the Control Panel, as the defaults are appropriate in most cases.   For more information, see the .





阅读(3036) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~